[package]
name = "pixstrip-core"
version.workspace = true
edition.workspace = true
license.workspace = true

[dependencies]
serde = { workspace = true }
serde_json = { workspace = true }
thiserror = { workspace = true }
magick_rust = "1"
fast_image_resize = "5"
image = "0.25"
rayon = "1"
walkdir = "2"
mozjpeg = "0.10"
oxipng = "10"
webp = "0.3"
little_exif = "0.4"
imageproc = "0.25"
ab_glyph = "0.2"
dirs = "6"
notify = "7"
regex = "1"

[dev-dependencies]
tempfile = "3"
